Video Edit: create an edit task from video + reference images + instruction
curl --request POST \
--url https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DashScope-Async: <x-dashscope-async>' \
--data '
{
"model": "happyhorse-1.0-video-edit",
"input": {
"prompt": "Replace the clothes of the girl in the video with the clothes in the image",
"media": [
{
"type": "video",
"url": "https://your-cdn.com/source.mp4"
},
{
"type": "reference_image",
"url": "https://your-cdn.com/new-clothes.png"
}
]
}
}
'import requests
url = "https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis"
payload = {
"model": "happyhorse-1.0-video-edit",
"input": {
"prompt": "Replace the clothes of the girl in the video with the clothes in the image",
"media": [
{
"type": "video",
"url": "https://your-cdn.com/source.mp4"
},
{
"type": "reference_image",
"url": "https://your-cdn.com/new-clothes.png"
}
]
}
}
headers = {
"X-DashScope-Async": "<x-dashscope-async>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-DashScope-Async': '<x-dashscope-async>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'happyhorse-1.0-video-edit',
input: {
prompt: 'Replace the clothes of the girl in the video with the clothes in the image',
media: [
{type: 'video', url: 'https://your-cdn.com/source.mp4'},
{type: 'reference_image', url: 'https://your-cdn.com/new-clothes.png'}
]
}
})
};
fetch('https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"output": {
"task_id": "hh-...",
"task_status": "PENDING"
},
"request_id": "..."
}HappyHorse 동영상 생성 (Alibaba)
HappyHorse 비디오 편집 API 레퍼런스
HappyHorse-1.0-video-edit 비디오 편집 API 레퍼런스 및 온라인 디버깅: 입력 비디오 + 최대 5개의 참조 이미지 + 로컬/전역 편집을 위한 자연어 지시사항.
POST
/
wan
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
Video Edit: create an edit task from video + reference images + instruction
오른쪽의 Playground에서 직접 디버그할 수 있습니다. Authorization에
Bearer sk-your-api-key를 입력하고, model / input.media / parameters를 설정한 뒤 요청을 전송하십시오. 성공적으로 제출하면 task_id가 반환됩니다. 폴링 및 다운로드는 아래를 참고하십시오.이 페이지는
happyhorse-1.0-video-edit(동영상 편집)의 생성 엔드포인트를 다룹니다. 동영상 1개 + 최대 5장의 참조 이미지 + 자연어 지시를 제공하여 동영상 요소를 국소적으로 또는 전역적으로 편집합니다. 모델 이름에는 하이픈이 있습니다(video-edit). 전체 비동기 흐름은 HappyHorse 개요를 참고하십시오.input.media에는video(편집 중인 동영상)과 최소 1개의reference_image(5개 이하)이 모두 포함되어야 합니다.- 모델 이름은
happyhorse-1.0-video-edit(하이픈이 있습니다)이며, Wan의wan2.7-videoedit(하이픈 없음)과 다르므로 헷갈리지 마십시오. - 생성 요청은
/wan/api/v1/...로X-DashScope-Async: enable와 함께 전송되며,/v1/videos는 사용하지 마십시오.
코드 예제
curl -X POST "https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis" \
-H "X-DashScope-Async: enable" \
-H "Authorization: Bearer sk-your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "happyhorse-1.0-video-edit",
"input": {
"prompt": "Replace the clothes of the girl in the video with the clothes in the image",
"media": [
{"type": "video", "url": "https://your-cdn.com/source.mp4"},
{"type": "reference_image", "url": "https://your-cdn.com/new-clothes.png"}
]
},
"parameters": {"resolution": "720P", "prompt_extend": true, "watermark": true}
}'
import requests
url = "https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis"
headers = {
"Authorization": "Bearer sk-your-api-key",
"Content-Type": "application/json",
"X-DashScope-Async": "enable",
}
body = {
"model": "happyhorse-1.0-video-edit",
"input": {
"prompt": "Replace the clothes of the girl in the video with the clothes in the image",
"media": [
{"type": "video", "url": "https://your-cdn.com/source.mp4"},
{"type": "reference_image", "url": "https://your-cdn.com/new-clothes.png"},
],
},
"parameters": {"resolution": "720P", "prompt_extend": True, "watermark": True},
}
resp = requests.post(url, json=body, headers=headers, timeout=30)
print("task_id:", resp.json()["output"]["task_id"])
매개변수 및 미디어 빠른 참조
| 매개변수 | 유형 | 필수 | 기본값 | 비고 |
|---|---|---|---|---|
model | string | ✓ | — | happyhorse-1.0-video-edit로 고정됨 |
input.prompt | string | ✓ | — | 자연어 편집 지시문 |
input.media | array | ✓ | — | 아래의 미디어 표를 참조하십시오 |
parameters.resolution | string | 720P | 720P / 1080P | |
parameters.prompt_extend | bool | true | 스마트 재작성 | |
parameters.watermark | bool | false | “AI Generated” 워터마크 |
media[] 값
type | 필수 | 개수 | 비고 |
|---|---|---|---|
video | ✓ | 1 | 편집 대상인 원본 비디오 |
reference_image | ✓ | 1–5 | 참고 자료(새 의상, 새 배경 등) |
비디오 편집의 출력 길이는 입력 비디오를 따르며
duration에 의해 결정되지 않으므로, 이 기능은 일반적으로 duration를 전달하지 않습니다.응답 형식
{
"output": { "task_id": "...", "task_status": "PENDING" },
"request_id": "..."
}
제출 후,
GET /v1/tasks/{task_id}을 폴링하여 completed가 될 때까지 기다린 다음, result_url에서 mp4를 다운로드하십시오(Authorization 헤더 없이, 24시간 후 만료됩니다). 전체 폴링 루프는 HappyHorse 개요 · 비동기 호출 흐름에서 확인하십시오.인증
The API Key obtained from the APIYI Console
헤더
Async processing switch, must be set to enable
사용 가능한 옵션:
enable 본문
application/json
이 페이지가 도움이 되었나요?
⌘I